Bug#857915: gsequencer: should link libraries using LIBADD instead of LDFLAGS

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Bug#857915: gsequencer: should link libraries using LIBADD instead of LDFLAGS

James Cowgill
Source: gsequencer
Version: 0.7.122-2
Severity: normal

Hi,

gsequencer incorrectly links libraries in Makefile.am using LDFLAGS
instead of LIBADD. This causes the package to FTBFS when built with
-Wl,--as-needed.

This is the reason why Ubuntu has an old version of gsequencer. Ubuntu
enables -Wl,--as-needed by default so they had to patch the source to
get it to build. That patch hasn't been updated for sometime now so
they've just kept the old version.

Thanks,
James


signature.asc (836 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Bug#857915: gsequencer: should link libraries using LIBADD instead of LDFLAGS

Joël Krähemann-2
Hi

I'm unsure about the issue. Could you provide an example?

cheers,
Joël


On Thu, Mar 16, 2017 at 11:43 AM, James Cowgill <[hidden email]> wrote:

> Source: gsequencer
> Version: 0.7.122-2
> Severity: normal
>
> Hi,
>
> gsequencer incorrectly links libraries in Makefile.am using LDFLAGS
> instead of LIBADD. This causes the package to FTBFS when built with
> -Wl,--as-needed.
>
> This is the reason why Ubuntu has an old version of gsequencer. Ubuntu
> enables -Wl,--as-needed by default so they had to patch the source to
> get it to build. That patch hasn't been updated for sometime now so
> they've just kept the old version.
>
> Thanks,
> James
>
>
> _______________________________________________
> pkg-multimedia-maintainers mailing list
> [hidden email]
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-multimedia-maintainers